Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class NamedSQLQuerySecondPass

    java.lang.Object
      org.hibernate.cfg.ResultSetMappingBinder
          org.hibernate.cfg.NamedSQLQuerySecondPass

All Implemented Interfaces:
  Serializable, QuerySecondPass, SecondPass

    public class NamedSQLQuerySecondPass

extends ResultSetMappingBinder
implements QuerySecondPass

See Also:
  Serialized Form

Constructor Summary
`NamedSQLQuerySecondPass(org.dom4j.Element queryElem, String path, Mappings mappings)`

Method Summary
`void` | `doSecondPass(Map persistentClasses)`

Methods inherited from class org.hibernate.cfg.ResultSetMappingBinder
`buildResultSetMappingDefinition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedSQLQuerySecondPass

    public NamedSQLQuerySecondPass(org.dom4j.Element queryElem,
                                   String path,
                                   Mappings mappings)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Specified by:
    `doSecondPass` in interface `SecondPass`
  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.